// SVEditWindow.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

	
#ifndef __SVEDITWINDOW__
#define __SVEDITWINDOW__
	
#include <Memory.h>
#include <Types.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <ToolUtils.h>
#include <Traps.h>
#include "SVEditGlobals.h"
#include "SVEditUtils.h"
#include "SVAppleEvents.h"

DPtr		DPtrFromWindowPtr(WindowPtr theWindow);

pascal void MyGrowWindow(WindowPtr w,
                         Point     p);

pascal void GetPageEnds(short          pageHeight,
											  TEHandle       theText,
											  PageEndsArray  pageBounds,
											  short          *nPages);

pascal void DoZoom(WindowPtr w, short c, Point p);

pascal void DoContent(WindowPtr theWindow, EventRecord theEvent);

pascal OSErr DoActivate(WindowPtr theWindow, Boolean   activate);

pascal void DoUpdate(WindowPtr theWindow);

DPtr		NewDocument(Boolean isForOldDoc, WindowPtr behindWindow);

pascal void CloseMyWindow(WindowPtr aWindow);

pascal void ShowSelect(DPtr theDoc);

pascal void AdjustScrollbars(DPtr theDoc, Boolean needsResize);
													 
pascal void GetWinContentRect(WindowPtr theWindow, Rect *r);

pascal void ResizeWindow(DPtr theDoc);

pascal void ResizePageSetupForDocument(DPtr theDoc);

pascal void InvalidateDocument(DPtr theDoc);

pascal void DrawPageExtras(DPtr theDoc);

pascal void PrintWindow(DPtr theDoc, Boolean askUser);

pascal void VActionProc(ControlHandle control, short part);

pascal void HActionProc(ControlHandle control, short part);

pascal void AdjustTE(DPtr theDoc);
pascal void AdjustHV(Boolean isVert, ControlHandle control, DPtr theDoc, Boolean canRedraw);
pascal void AdjustScrollValues(DPtr theDoc, Boolean canRedraw);
pascal void GetTERect(WindowPtr window, Rect *teRect);
pascal void AdjustScrollSizes(DPtr theDoc);
pascal void CommonAction(ControlHandle control, short *amount);
pascal void OffsetWindow(WindowPtr aWindow);
pascal void GetLocalUpdateRgn(WindowPtr window, RgnHandle localRgn);
void 				DoBackgroundContent ( WindowPtr theWindow, EventRecord theEvent);
pascal void DrawPageBreaks(DPtr theDoc);


#endif