// MSAccessors.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSACCESSORS__
#define __MSACCESSORS__

#include "MSToken.h"

#include <TextEdit.h>

OSErr			InstallAccessors(void);

pascal OSErr	WindowFromNullAccessor(DescType		wantClass,
										const AEDesc	*container,
										DescType  		containerClass,
										DescType		form, 
										const AEDesc	*selectionData,
										AEDesc			*value,
										long			theRefCon);

pascal OSErr	DocumentFromNullAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType  		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	ApplicationFromNullAccessor(DescType		wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	TextElemFromTextAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form,
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromTextAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromWndwAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromDocumentAccessor(DescType			wantClass,
												AEDesc			*container,
												DescType		containerClass,
												DescType		form, 
												AEDesc			*selectionData,
												AEDesc			*value,
												long			theRefCon);

pascal OSErr	PropertyFromNullAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromListAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromApplAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	MenuFromNullAccessor(DescType			wantClass,
										const AEDesc	*container,
										DescType		containerClass,
										DescType		form, 
										const AEDesc	*selectionData,
										AEDesc			*value,
										long			theRefCon);

pascal OSErr	PropertyFromWinPropertyAccessor(DescType		wantClass,
												const AEDesc	*container,
												DescType		containerClass,
												DescType		form, 
												const AEDesc	*selectionData,
												AEDesc			*value,
												long			theRefCon);

pascal OSErr	MenuItemFromMenuAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	MenuFromNullAccessor( DescType			wantClass,
										const AEDesc	*container,
										DescType  		containerClass,
										DescType		form, 
										const AEDesc	*selectionData,
										AEDesc			*value,
										long			theRefCon);

pascal OSErr	PropertyFromMenuAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	MenuItemFromMenuAccessor( DescType			wantClass,
											const AEDesc	*container,
											DescType  		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromMenuItemAccessor(DescType		wantClass,
												AEDesc		*container,
												DescType	containerClass,
												DescType	form, 
												AEDesc		*selectionData,
												AEDesc		*value,
												long		theRefCon);

OSErr		WindowFormAbsolutePosition(const AEDesc	*selectionData, AEDesc* result);
OSErr		WindowFormName(const AEDesc	*selectionData, AEDesc* result);

OSErr		DocumentFormName(const AEDesc *selectionData, AEDesc* result);
OSErr		DocumentFormAbsolutePosition(const AEDesc	*selectionData, AEDesc* result);

OSErr		TextFormAbsolutePosition(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);
OSErr		TextFormRange(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);
OSErr		TextFormRelativePosition(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);

OSErr		MenuFormAbsolutePosition( const AEDesc *selectionData, AEDesc* result );
OSErr		MenuFormName( const AEDesc *selectionData, AEDesc* result );

OSErr		MenuItemFormAbsolutePosition( MenuToken* containerToken,
								const AEDesc *selectionData, AEDesc* result );
OSErr		MenuItemFormName( MenuToken* containerToken,
								const AEDesc* selectionData, AEDesc* result );

OSErr		TokenListToPropertyList(AEDesc* tokenList, DescType aProperty, AEDesc* result);

#endif
